Results 1 to 5 of 5

Thread: FreeRadius on BT3

  1. #1
    Just burned his ISO
    Join Date
    Mar 2008
    Posts
    9

    Default FreeRadius on BT3

    Has anyone gotten FreeRadius 2.0.2 with WPE patch installed on BT3?

    I can not get it to compile. When I run make (after ./configure) I get the following error

    lbtool: link: libtool library 'rlm_acctlog.la' must begin with 'lib'

    Anyone run in to this and have a fix?

  2. #2
    Super Moderator Archangel-Amael's Avatar
    Join Date
    Jan 2010
    Location
    Somewhere
    Posts
    8,012

    Default

    Quote Originally Posted by Stewtn View Post
    Has anyone gotten FreeRadius 2.0.2 with WPE patch installed on BT3?

    Anyone run in to this and have a fix?
    This might be of some help to you.
    http://forums.remote-exploit.org/showthread.php?t=8950
    To be successful here you should read all of the following.
    ForumRules
    ForumFAQ
    If you are new to Back|Track
    Back|Track Wiki
    Failure to do so will probably get your threads deleted or worse.

  3. #3
    Senior Member PrairieFire's Avatar
    Join Date
    Apr 2007
    Posts
    705

    Default

    Quote Originally Posted by Stewtn View Post
    Has anyone gotten FreeRadius 2.0.2 with WPE patch installed on BT3?

    I can not get it to compile. When I run make (after ./configure) I get the following error

    lbtool: link: libtool library 'rlm_acctlog.la' must begin with 'lib'

    Anyone run in to this and have a fix?
    This is the method I used back in February.
    Μολὼν λαβέ - Great spirits encounter heavy opposition from mediocre minds.

  4. #4
    Just burned his ISO
    Join Date
    Mar 2008
    Posts
    9

    Default

    I found in the wireless.h file an area in INCLUDES were #include <linux/if.h> was and
    put your 2 lines in front of it. now it looks like this...

    #ifndef _LINUX_WIRELESS_H
    #define _LINUX_WIRELESS_H
    #include <linux/if.h>

    #endif /* __KERNEL__ */

    rebooted, but got same error...any other suggestions?

    This is more of the error...

    gmake[6]: Entering directory `/usr/local/freeradius-server-2.0.2/src/modules/rlm_acctlog'
    /usr/local/freeradius-server-2.0.2/libtool --mode=link gcc -release \
    -module -export-dynamic -o rlm_acctlog.la \
    -rpath /usr/local/lib rlm_acctlog.lo rlm_acctlog.c /usr/local/freeradius-server-2.0.2/src/lib/libfreeradius-radius.la -lnsl -lresolv -lpthread
    libtool: link: libtool library `rlm_acctlog.la' must begin with `lib'
    Try `libtool --help --mode=link' for more information.
    gmake[6]: *** [rlm_acctlog.la] Error 1
    gmake[6]: Leaving directory `/usr/local/freeradius-server-2.0.2/src/modules/rlm_acctlog'
    gmake[5]: *** [common] Error 2

  5. #5
    Just burned his ISO
    Join Date
    Mar 2008
    Posts
    9

    Default

    Ok, I tried to install FreeRadius with patch using a USB live "CD" version and it worked fine. I must have moved or installed something on my HD install that is causing the error.

    Any suggestions out there?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •